InlineScopeVMTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.InlineScopeVMTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class InlineScopeVMTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.InlineScopeVMTestCase

All Implemented Interfaces:
  TemplateTestBase, junit.framework.Test

public class InlineScopeVMTestCase
extends BaseTestCase
implements TemplateTestBase

Tests if the VM template-locality is working.

Version:
  $Id: InlineScopeVMTestCase.java,v 1.11.10.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Geir Magnusson Jr., Daniel Rall

Field Summary
`private static java.lang.String` | `TEST_CASE_NAME` The name of this test case.

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Fields inherited from interface org.apache.velocity.test.TemplateTestBase
`CMP_FILE_EXT, COMPARE_DIR, FILE_RESOURCE_LOADER_PATH, RESULT_DIR, RESULT_FILE_EXT, TEST_CASE_PROPERTIES, TMPL_FILE_EXT`

Constructor Summary
`(package private)` | `InlineScopeVMTestCase()`

Method Summary
`void` | `runTest()` Runs the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEST_CASE_NAME

    private static final java.lang.String TEST_CASE_NAME

  The name of this test case.

  See Also:
    Constant Field Values

Constructor Detail

### InlineScopeVMTestCase

    InlineScopeVMTestCase()

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.